## xserver-kdrive 6.6.3-28

=== _darcs/current/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/Xserver
pkglibdir = $(libdir)/Xserver
pkgincludedir = $(includedir)/Xserver
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog NEWS TODO compile config.guess config.sub depcomp \
	install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = include dix fb mi Xext miext os randr render xfixes \
	damageext record GL drm dri composite Xi xkb xsp colorkey hw
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run aclocal-1.8
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run automake-1.8
AWK = gawk
CC = cc
CCAS = cc
CCASFLAGS = -g -Wall -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -g -Wall -O2
COMPOSITE_FALSE = #
COMPOSITE_TRUE = 
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DRI_FALSE = 
DRI_TRUE = #
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GLX_FALSE = 
GLX_TRUE = #
H3600_TS_FALSE = 
H3600_TS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KDRIVEFBDEV_FALSE = #
KDRIVEFBDEV_TRUE = 
KDRIVESERVER_FALSE = #
KDRIVESERVER_TRUE = 
KDRIVEVESA_FALSE = 
KDRIVEVESA_TRUE = #
KDRIVE_INCS = -I$(top_srcdir)/hw/kdrive/src -I$(top_srcdir)/miext/damage -I$(top_srcdir)/miext/shadow -I$(top_srcdir)/Xext -I$(top_srcdir)/record -I$(top_srcdir)/xsp -I$(top_srcdir)/colorkey -I$(top_srcdir)/render -I$(top_srcdir)/randr -I$(top_srcdir)/xfixes -I$(top_srcdir)/damageext -I$(top_srcdir)/composite 	                  -I$(top_srcdir)/fb -I$(top_srcdir)/mi -I$(top_srcdir)/hw/kdrive/linux
KDRIVE_LIBS = $(top_builddir)/dix/libdix.a $(top_builddir)/os/libos.a $(top_builddir)/hw/kdrive/src/libkdrive.a $(top_builddir)/hw/kdrive/linux/liblinux.a 	                  $(top_builddir)/fb/libfb.a $(top_builddir)/mi/libmi.a $(top_builddir)/Xext/libXext.a $(top_builddir)/record/librecord.a $(top_builddir)/xsp/libxsp.a $(top_builddir)/colorkey/libxck.a $(top_builddir)/render/librender.a $(top_builddir)/randr/librandr.a $(top_builddir)/xfixes/libxfixes.a $(top_builddir)/damageext/libdamageext.a $(top_builddir)/composite/libcomposite.a $(top_builddir)/miext/damage/libdamage.a 			  $(top_builddir)/miext/shadow/libshadow.a $(top_builddir)/dix/libxpstubs.a $(top_builddir)/hw/kdrive/linux/liblinux.a -lts
KDRIVE_PURE_INCS = -I$(top_srcdir)/hw/kdrive/src -I$(top_srcdir)/miext/damage -I$(top_srcdir)/miext/shadow -I$(top_srcdir)/Xext -I$(top_srcdir)/record -I$(top_srcdir)/xsp -I$(top_srcdir)/colorkey -I$(top_srcdir)/render -I$(top_srcdir)/randr -I$(top_srcdir)/xfixes -I$(top_srcdir)/damageext -I$(top_srcdir)/composite 	                  -I$(top_srcdir)/fb -I$(top_srcdir)/mi
KDRIVE_PURE_LIBS = $(top_builddir)/dix/libdix.a $(top_builddir)/os/libos.a $(top_builddir)/hw/kdrive/src/libkdrive.a $(top_builddir)/hw/kdrive/linux/liblinux.a 	                  $(top_builddir)/fb/libfb.a $(top_builddir)/mi/libmi.a $(top_builddir)/Xext/libXext.a $(top_builddir)/record/librecord.a $(top_builddir)/xsp/libxsp.a $(top_builddir)/colorkey/libxck.a $(top_builddir)/render/librender.a $(top_builddir)/randr/librandr.a $(top_builddir)/xfixes/libxfixes.a $(top_builddir)/damageext/libdamageext.a $(top_builddir)/composite/libcomposite.a $(top_builddir)/miext/damage/libdamage.a 			  $(top_builddir)/miext/shadow/libshadow.a $(top_builddir)/dix/libxpstubs.a
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run makeinfo
MESA_SOURCE = $(top_srcdir)/../Mesa
MITSHM_FALSE = #
MITSHM_TRUE = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = Xserver
PACKAGE_BUGREPORT = keithp@keithp.com
PACKAGE_NAME = Xserver
PACKAGE_STRING = Xserver 6.6.1
PACKAGE_TARNAME = Xserver
PACKAGE_VERSION = 6.6.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
RECORD_FALSE = #
RECORD_TRUE = 
RES_FALSE = #
RES_TRUE = 
SCREENSAVER_FALSE = #
SCREENSAVER_TRUE = 
SET_MAKE = 
SHAPE_FALSE = #
SHAPE_TRUE = 
SHELL = /bin/sh
STRIP = strip
TSLIB_FALSE = #
TSLIB_TRUE = 
USE_RGB_BUILTIN_FALSE = #
USE_RGB_BUILTIN_TRUE = 
VERSION = 6.6.1
XCALIBRATE_CFLAGS = 
XCALIBRATE_FALSE = 
XCALIBRATE_LIBS = 
XCALIBRATE_TRUE = #
XCK_FALSE = #
XCK_TRUE = 
XDMAUTH_FALSE = 
XDMAUTH_TRUE = #
XDMCP_CFLAGS = -I/usr/X11R6/include  
XDMCP_FALSE = 
XDMCP_LIBS = -lXdmcp  
XDMCP_TRUE = #
XEPHYR_CFLAGS = -D_XOPEN_SOURCE=500 -DXTHREADS -DXUSE_MTSAFE_API -I/usr/X11R6/include  
XEPHYR_FALSE = #
XEPHYR_INCS = 
XEPHYR_LIBS = -lXext -lX11 -ldl  
XEPHYR_TRUE = 
XGLSERVER_FALSE = 
XGLSERVER_TRUE = #
XGL_INCS = 
XGL_LIBS = 
XGL_PURE_INCS = 
XGL_PURE_LIBS = 
XINERAMA_FALSE = 
XINERAMA_TRUE = #
XINPUT_FALSE = 
XINPUT_TRUE = #
XKB_FALSE = 
XKB_TRUE = #
XLOADABLE_FALSE = 
XLOADABLE_TRUE = #
XNESTSERVER_CFLAGS = 
XNESTSERVER_FALSE = 
XNESTSERVER_LIBS = 
XNESTSERVER_TRUE = #
XNEST_INCS = 
XNEST_LIBS = 
XOMAPSERVER_FALSE = #
XOMAPSERVER_TRUE = 
XSDLSERVER_FALSE = 
XSDLSERVER_TRUE = #
XSDL_DIRS = 
XSDL_INCS = 
XSDL_LIBS = 
XSERVER_CFLAGS = -Wall -Wpointer-arith -Wstrict-prototypes 	-Wmissing-prototypes -Wmissing-declarations 	-Wnested-externs -fno-strict-aliasing -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DXTHREADS -DXUSE_MTSAFE_API -I/usr/X11R6/include -I/usr/X11R6/include/X11/fonts -I/usr/X11R6/include/X11/Xtrans   -D_BSD_SOURCE -I${top_srcdir}/include -I${top_srcdir}/Xext
XSERVER_LIBS = -lXfont -lm -lz -lXau -lXsp -lX11 -ldl  
XSP_FALSE = #
XSP_TRUE = 
XTRAP_FALSE = 
XTRAP_TRUE = #
XV_FALSE = #
XV_TRUE = 
XWINSERVER_CFLAGS = 
XWINSERVER_FALSE = 
XWINSERVER_LIBS = 
XWINSERVER_TRUE = #
XWIN_INCS = 
XWIN_LIBS = 
YACC = bison -y
ac_ct_AR = ar
ac_ct_AS = 
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_DLLTOOL = 
ac_ct_F77 = 
ac_ct_OBJDUMP = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = /usr/X11R6/include
infodir = ${prefix}/share/info
install_sh = /home/ed/deb/w200541/xserver-kdrive-6.6.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/xserver-kdrive
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
AUTOMAKE_OPTIONS = dist-bzip2 foreign
#GLX_SUBDIR = GL
#DRI_SUBDIRS = drm dri
COMPOSITE_SUBDIR = composite
#XI_SUBDIR = Xi
#XKB_SUBDIR = xkb
XRECORD_SUBDIR = record
XSP_SUBDIR = xsp
XCK_SUBDIR = colorkey
SUBDIRS = \
	include	\
	dix 	\
	fb	\
	mi	\
	Xext	\
	miext	\
	os	\
	randr	\
	render  \
	xfixes  \
	damageext \
	$(XRECORD_SUBDIR) \
	$(GLX_SUBDIR) \
	$(DRI_SUBDIRS) \
	$(COMPOSITE_SUBDIR) \
	$(XI_SUBDIR) \
	$(XKB_SUBDIR) \
	$(XSP_SUBDIR) \
	$(XCK_SUBDIR) \
	hw

all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \

=== _darcs/current/hw/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# hw/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/Xserver
pkglibdir = $(libdir)/Xserver
pkgincludedir = $(includedir)/Xserver
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
subdir = hw
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = kdrive xnest xwin xgl
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run aclocal-1.8
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run automake-1.8
AWK = gawk
CC = cc
CCAS = cc
CCASFLAGS = -g -Wall -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -g -Wall -O2
COMPOSITE_FALSE = #
COMPOSITE_TRUE = 
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DRI_FALSE = 
DRI_TRUE = #
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GLX_FALSE = 
GLX_TRUE = #
H3600_TS_FALSE = 
H3600_TS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KDRIVEFBDEV_FALSE = #
KDRIVEFBDEV_TRUE = 
KDRIVESERVER_FALSE = #
KDRIVESERVER_TRUE = 
KDRIVEVESA_FALSE = 
KDRIVEVESA_TRUE = #
KDRIVE_INCS = -I$(top_srcdir)/hw/kdrive/src -I$(top_srcdir)/miext/damage -I$(top_srcdir)/miext/shadow -I$(top_srcdir)/Xext -I$(top_srcdir)/record -I$(top_srcdir)/xsp -I$(top_srcdir)/colorkey -I$(top_srcdir)/render -I$(top_srcdir)/randr -I$(top_srcdir)/xfixes -I$(top_srcdir)/damageext -I$(top_srcdir)/composite 	                  -I$(top_srcdir)/fb -I$(top_srcdir)/mi -I$(top_srcdir)/hw/kdrive/linux
KDRIVE_LIBS = $(top_builddir)/dix/libdix.a $(top_builddir)/os/libos.a $(top_builddir)/hw/kdrive/src/libkdrive.a $(top_builddir)/hw/kdrive/linux/liblinux.a 	                  $(top_builddir)/fb/libfb.a $(top_builddir)/mi/libmi.a $(top_builddir)/Xext/libXext.a $(top_builddir)/record/librecord.a $(top_builddir)/xsp/libxsp.a $(top_builddir)/colorkey/libxck.a $(top_builddir)/render/librender.a $(top_builddir)/randr/librandr.a $(top_builddir)/xfixes/libxfixes.a $(top_builddir)/damageext/libdamageext.a $(top_builddir)/composite/libcomposite.a $(top_builddir)/miext/damage/libdamage.a 			  $(top_builddir)/miext/shadow/libshadow.a $(top_builddir)/dix/libxpstubs.a $(top_builddir)/hw/kdrive/linux/liblinux.a -lts
KDRIVE_PURE_INCS = -I$(top_srcdir)/hw/kdrive/src -I$(top_srcdir)/miext/damage -I$(top_srcdir)/miext/shadow -I$(top_srcdir)/Xext -I$(top_srcdir)/record -I$(top_srcdir)/xsp -I$(top_srcdir)/colorkey -I$(top_srcdir)/render -I$(top_srcdir)/randr -I$(top_srcdir)/xfixes -I$(top_srcdir)/damageext -I$(top_srcdir)/composite 	                  -I$(top_srcdir)/fb -I$(top_srcdir)/mi
KDRIVE_PURE_LIBS = $(top_builddir)/dix/libdix.a $(top_builddir)/os/libos.a $(top_builddir)/hw/kdrive/src/libkdrive.a $(top_builddir)/hw/kdrive/linux/liblinux.a 	                  $(top_builddir)/fb/libfb.a $(top_builddir)/mi/libmi.a $(top_builddir)/Xext/libXext.a $(top_builddir)/record/librecord.a $(top_builddir)/xsp/libxsp.a $(top_builddir)/colorkey/libxck.a $(top_builddir)/render/librender.a $(top_builddir)/randr/librandr.a $(top_builddir)/xfixes/libxfixes.a $(top_builddir)/damageext/libdamageext.a $(top_builddir)/composite/libcomposite.a $(top_builddir)/miext/damage/libdamage.a 			  $(top_builddir)/miext/shadow/libshadow.a $(top_builddir)/dix/libxpstubs.a
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run makeinfo
MESA_SOURCE = $(top_srcdir)/../Mesa
MITSHM_FALSE = #
MITSHM_TRUE = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = Xserver
PACKAGE_BUGREPORT = keithp@keithp.com
PACKAGE_NAME = Xserver
PACKAGE_STRING = Xserver 6.6.1
PACKAGE_TARNAME = Xserver
PACKAGE_VERSION = 6.6.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
RECORD_FALSE = #
RECORD_TRUE = 
RES_FALSE = #
RES_TRUE = 
SCREENSAVER_FALSE = #
SCREENSAVER_TRUE = 
SET_MAKE = 
SHAPE_FALSE = #
SHAPE_TRUE = 
SHELL = /bin/sh
STRIP = strip
TSLIB_FALSE = #
TSLIB_TRUE = 
USE_RGB_BUILTIN_FALSE = #
USE_RGB_BUILTIN_TRUE = 
VERSION = 6.6.1
XCALIBRATE_CFLAGS = 
XCALIBRATE_FALSE = 
XCALIBRATE_LIBS = 
XCALIBRATE_TRUE = #
XCK_FALSE = #
XCK_TRUE = 
XDMAUTH_FALSE = 
XDMAUTH_TRUE = #
XDMCP_CFLAGS = -I/usr/X11R6/include  
XDMCP_FALSE = 
XDMCP_LIBS = -lXdmcp  
XDMCP_TRUE = #
XEPHYR_CFLAGS = -D_XOPEN_SOURCE=500 -DXTHREADS -DXUSE_MTSAFE_API -I/usr/X11R6/include  
XEPHYR_FALSE = #
XEPHYR_INCS = 
XEPHYR_LIBS = -lXext -lX11 -ldl  
XEPHYR_TRUE = 
XGLSERVER_FALSE = 
XGLSERVER_TRUE = #
XGL_INCS = 
XGL_LIBS = 
XGL_PURE_INCS = 
XGL_PURE_LIBS = 
XINERAMA_FALSE = 
XINERAMA_TRUE = #
XINPUT_FALSE = 
XINPUT_TRUE = #
XKB_FALSE = 
XKB_TRUE = #
XLOADABLE_FALSE = 
XLOADABLE_TRUE = #
XNESTSERVER_CFLAGS = 
XNESTSERVER_FALSE = 
XNESTSERVER_LIBS = 
XNESTSERVER_TRUE = #
XNEST_INCS = 
XNEST_LIBS = 
XOMAPSERVER_FALSE = #
XOMAPSERVER_TRUE = 
XSDLSERVER_FALSE = 
XSDLSERVER_TRUE = #
XSDL_DIRS = 
XSDL_INCS = 
XSDL_LIBS = 
XSERVER_CFLAGS = -Wall -Wpointer-arith -Wstrict-prototypes 	-Wmissing-prototypes -Wmissing-declarations 	-Wnested-externs -fno-strict-aliasing -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DXTHREADS -DXUSE_MTSAFE_API -I/usr/X11R6/include -I/usr/X11R6/include/X11/fonts -I/usr/X11R6/include/X11/Xtrans   -D_BSD_SOURCE -I${top_srcdir}/include -I${top_srcdir}/Xext
XSERVER_LIBS = -lXfont -lm -lz -lXau -lXsp -lX11 -ldl  
XSP_FALSE = #
XSP_TRUE = 
XTRAP_FALSE = 
XTRAP_TRUE = #
XV_FALSE = #
XV_TRUE = 
XWINSERVER_CFLAGS = 
XWINSERVER_FALSE = 
XWINSERVER_LIBS = 
XWINSERVER_TRUE = #
XWIN_INCS = 
XWIN_LIBS = 
YACC = bison -y
ac_ct_AR = ar
ac_ct_AS = 
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_DLLTOOL = 
ac_ct_F77 = 
ac_ct_OBJDUMP = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = /usr/X11R6/include
infodir = ${prefix}/share/info
install_sh = /home/ed/deb/w200541/xserver-kdrive-6.6.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/xserver-kdrive
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
KDRIVE_SUBDIRS = kdrive
#XNEST_SUBDIRS = xnest
#XWIN_SUBDIRS = xwin
#XGL_SUBDIRS = xgl
SUBDIRS = \
	$(KDRIVE_SUBDIRS)	\
	$(XNEST_SUBDIRS)	\
	$(XWIN_SUBDIRS)		\
	$(XGL_SUBDIRS)

all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  hw/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  hw/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \

=== _darcs/current/hw/kdrive/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# hw/kdrive/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/Xserver
pkglibdir = $(libdir)/Xserver
pkgincludedir = $(includedir)/Xserver
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
subdir = hw/kdrive
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = src linux sdl fbdev vesa mach64 mga nvidia r128 smi \
	chips pm2 via neomagic ephyr omap ati fake i810 epson
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run aclocal-1.8
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run automake-1.8
AWK = gawk
CC = cc
CCAS = cc
CCASFLAGS = -g -Wall -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -g -Wall -O2
COMPOSITE_FALSE = #
COMPOSITE_TRUE = 
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DRI_FALSE = 
DRI_TRUE = #
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GLX_FALSE = 
GLX_TRUE = #
H3600_TS_FALSE = 
H3600_TS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KDRIVEFBDEV_FALSE = #
KDRIVEFBDEV_TRUE = 
KDRIVESERVER_FALSE = #
KDRIVESERVER_TRUE = 
KDRIVEVESA_FALSE = 
KDRIVEVESA_TRUE = #
KDRIVE_INCS = -I$(top_srcdir)/hw/kdrive/src -I$(top_srcdir)/miext/damage -I$(top_srcdir)/miext/shadow -I$(top_srcdir)/Xext -I$(top_srcdir)/record -I$(top_srcdir)/xsp -I$(top_srcdir)/colorkey -I$(top_srcdir)/render -I$(top_srcdir)/randr -I$(top_srcdir)/xfixes -I$(top_srcdir)/damageext -I$(top_srcdir)/composite 	                  -I$(top_srcdir)/fb -I$(top_srcdir)/mi -I$(top_srcdir)/hw/kdrive/linux
KDRIVE_LIBS = $(top_builddir)/dix/libdix.a $(top_builddir)/os/libos.a $(top_builddir)/hw/kdrive/src/libkdrive.a $(top_builddir)/hw/kdrive/linux/liblinux.a 	                  $(top_builddir)/fb/libfb.a $(top_builddir)/mi/libmi.a $(top_builddir)/Xext/libXext.a $(top_builddir)/record/librecord.a $(top_builddir)/xsp/libxsp.a $(top_builddir)/colorkey/libxck.a $(top_builddir)/render/librender.a $(top_builddir)/randr/librandr.a $(top_builddir)/xfixes/libxfixes.a $(top_builddir)/damageext/libdamageext.a $(top_builddir)/composite/libcomposite.a $(top_builddir)/miext/damage/libdamage.a 			  $(top_builddir)/miext/shadow/libshadow.a $(top_builddir)/dix/libxpstubs.a $(top_builddir)/hw/kdrive/linux/liblinux.a -lts
KDRIVE_PURE_INCS = -I$(top_srcdir)/hw/kdrive/src -I$(top_srcdir)/miext/damage -I$(top_srcdir)/miext/shadow -I$(top_srcdir)/Xext -I$(top_srcdir)/record -I$(top_srcdir)/xsp -I$(top_srcdir)/colorkey -I$(top_srcdir)/render -I$(top_srcdir)/randr -I$(top_srcdir)/xfixes -I$(top_srcdir)/damageext -I$(top_srcdir)/composite 	                  -I$(top_srcdir)/fb -I$(top_srcdir)/mi
KDRIVE_PURE_LIBS = $(top_builddir)/dix/libdix.a $(top_builddir)/os/libos.a $(top_builddir)/hw/kdrive/src/libkdrive.a $(top_builddir)/hw/kdrive/linux/liblinux.a 	                  $(top_builddir)/fb/libfb.a $(top_builddir)/mi/libmi.a $(top_builddir)/Xext/libXext.a $(top_builddir)/record/librecord.a $(top_builddir)/xsp/libxsp.a $(top_builddir)/colorkey/libxck.a $(top_builddir)/render/librender.a $(top_builddir)/randr/librandr.a $(top_builddir)/xfixes/libxfixes.a $(top_builddir)/damageext/libdamageext.a $(top_builddir)/composite/libcomposite.a $(top_builddir)/miext/damage/libdamage.a 			  $(top_builddir)/miext/shadow/libshadow.a $(top_builddir)/dix/libxpstubs.a
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ed/deb/w200541/xserver-kdrive-6.6.3/missing --run makeinfo
MESA_SOURCE = $(top_srcdir)/../Mesa
MITSHM_FALSE = #
MITSHM_TRUE = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = Xserver
PACKAGE_BUGREPORT = keithp@keithp.com
PACKAGE_NAME = Xserver
PACKAGE_STRING = Xserver 6.6.1
PACKAGE_TARNAME = Xserver
PACKAGE_VERSION = 6.6.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
RECORD_FALSE = #
RECORD_TRUE = 
RES_FALSE = #
RES_TRUE = 
SCREENSAVER_FALSE = #
SCREENSAVER_TRUE = 
SET_MAKE = 
SHAPE_FALSE = #
SHAPE_TRUE = 
SHELL = /bin/sh
STRIP = strip
TSLIB_FALSE = #
TSLIB_TRUE = 
USE_RGB_BUILTIN_FALSE = #
USE_RGB_BUILTIN_TRUE = 
VERSION = 6.6.1
XCALIBRATE_CFLAGS = 
XCALIBRATE_FALSE = 
XCALIBRATE_LIBS = 
XCALIBRATE_TRUE = #
XCK_FALSE = #
XCK_TRUE = 
XDMAUTH_FALSE = 
XDMAUTH_TRUE = #
XDMCP_CFLAGS = -I/usr/X11R6/include  
XDMCP_FALSE = 
XDMCP_LIBS = -lXdmcp  
XDMCP_TRUE = #
XEPHYR_CFLAGS = -D_XOPEN_SOURCE=500 -DXTHREADS -DXUSE_MTSAFE_API -I/usr/X11R6/include  
XEPHYR_FALSE = #
XEPHYR_INCS = 
XEPHYR_LIBS = -lXext -lX11 -ldl  
XEPHYR_TRUE = 
XGLSERVER_FALSE = 
XGLSERVER_TRUE = #
XGL_INCS = 
XGL_LIBS = 
XGL_PURE_INCS = 
XGL_PURE_LIBS = 
XINERAMA_FALSE = 
XINERAMA_TRUE = #
XINPUT_FALSE = 
XINPUT_TRUE = #
XKB_FALSE = 
XKB_TRUE = #
XLOADABLE_FALSE = 
XLOADABLE_TRUE = #
XNESTSERVER_CFLAGS = 
XNESTSERVER_FALSE = 
XNESTSERVER_LIBS = 
XNESTSERVER_TRUE = #
XNEST_INCS = 
XNEST_LIBS = 
XOMAPSERVER_FALSE = #
XOMAPSERVER_TRUE = 
XSDLSERVER_FALSE = 
XSDLSERVER_TRUE = #
XSDL_DIRS = 
XSDL_INCS = 
XSDL_LIBS = 
XSERVER_CFLAGS = -Wall -Wpointer-arith -Wstrict-prototypes 	-Wmissing-prototypes -Wmissing-declarations 	-Wnested-externs -fno-strict-aliasing -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DXTHREADS -DXUSE_MTSAFE_API -I/usr/X11R6/include -I/usr/X11R6/include/X11/fonts -I/usr/X11R6/include/X11/Xtrans   -D_BSD_SOURCE -I${top_srcdir}/include -I${top_srcdir}/Xext
XSERVER_LIBS = -lXfont -lm -lz -lXau -lXsp -lX11 -ldl  
XSP_FALSE = #
XSP_TRUE = 
XTRAP_FALSE = 
XTRAP_TRUE = #
XV_FALSE = #
XV_TRUE = 
XWINSERVER_CFLAGS = 
XWINSERVER_FALSE = 
XWINSERVER_LIBS = 
XWINSERVER_TRUE = #
XWIN_INCS = 
XWIN_LIBS = 
YACC = bison -y
ac_ct_AR = ar
ac_ct_AS = 
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_DLLTOOL = 
ac_ct_F77 = 
ac_ct_OBJDUMP = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = /usr/X11R6/include
infodir = ${prefix}/share/info
install_sh = /home/ed/deb/w200541/xserver-kdrive-6.6.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/xserver-kdrive
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
#VESA_SUBDIRS = vesa mach64 mga nvidia r128 smi chips pm2 via neomagic
FBDEV_SUBDIRS = fbdev
#XSDL_SUBDIRS = sdl
XEPHYR_SUBDIRS = ephyr
XOMAP_SUBDIRS = omap
SUBDIRS = \
	src			\
	linux			\
	$(XSDL_SUBDIRS)		\
	$(FBDEV_SUBDIRS)	\
	$(VESA_SUBDIRS)		\
	$(XEPHYR_SUBDIRS)       \
	$(XOMAP_SUBDIRS)	\
	ati			\
	fake			\
	ephyr                   \
	i810			\
	epson

all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  hw/kdrive/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  hw/kdrive/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \

=== debian/changelog ===
xserver-kdrive (6.6.3-28) unstable; urgency=low

  * Backport aggressive touchscreen filtering (closes: #37053).
  * Remove excessive debugging from the tslib driver.
  * Fix segfault on regeneration (closes: #32462).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 21 Sep 2006 15:36:38 +0300

xserver-kdrive (6.6.3-27) unstable; urgency=low

  * Whack modifier state to include Mod4 and button to be 1 on button 8
    events, so thumb now comes out as Button1 | Mod4 (closes: #38590).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 22 Aug 2006 15:46:17 +0000

=== _darcs/current/debian/control ===
Source: xserver-kdrive
Section: x11
Priority: optional
Maintainer: Riku Voipio <maemo-intregration>
Description: kdrive xserver
Build-Depends: x-build, flex, bison, linux-kernel-headers, x-dev, libxproto-composite, libxproto-damage, libxproto-fixes, libxproto-colorkey, libxproto-randr, libxproto-recordext, render-dev (>= 0.8-6), libxproto-resource, libxproto-xextensions, libxproto-xsp (>= 1.1), libxsp-dev (>= 1.0.1), libxau-dev, libxtrans-dev, libxfont-dev, libxext-dev, libxres-dev, libxkbfile-dev, libxdmcp-dev, libxtst-dev, libxv-dev, zlib1g-dev | libz-dev, tslib-dev (>= 0.0.1-12) [arm]
Standards-Version: 3.6.1.1

Package: xserver-xfbdev
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any 
Description: fbdev xserver
 TODO

Package: xserver-xvesa
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 
Description: vesa xserver
 TODO

Package: xserver-xmach64
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: mach64 xserver
 TODO

Package: xserver-xmga
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: mga xserver
 TODO

Package: xserver-xnvidia
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: nvidia xserver
 TODO

Package: xserver-xr128
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: r128 xserver
 TODO

Package: xserver-xsmi
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: smi xserver
 TODO

Package: xserver-xchips
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: chips xserver
 TODO

Package: xserver-xpm2
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: pm2 xserver
 TODO

Package: xserver-xvia
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: via xserver
 TODO

Package: xserver-xneomagic
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: neomagic xserver
 TODO

Package: xserver-xephyr
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any 
Description: ephyr xserver
 TODO

Package: xserver-xati
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: ati xserver
 TODO

Package: xserver-xfake
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any 
Description: fake xserver
 TODO

Package: xserver-xi810
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: i810 xserver
 TODO

Package: xserver-xomap
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: arm
Description: xomap xserver
 TODO

=== debian/control ===
Source: xserver-kdrive
Section: x11
Priority: optional
Maintainer: Daniel Stone <daniel.stone@nokia.com>
Build-Depends: x-build, flex, bison, linux-kernel-headers, x-dev, libxproto-composite, libxproto-damage, libxproto-fixes, libxproto-colorkey, libxproto-randr, libxproto-recordext, render-dev (>= 0.8-6), libxproto-resource, libxproto-xextensions, libxproto-xsp (>= 1.2), libxsp-dev (>= 1.0.1), libxau-dev, libxtrans-dev, libxfont-dev, libxext-dev, libxres-dev, libxkbfile-dev, libxdmcp-dev, libxtst-dev, libxv-dev, zlib1g-dev | libz-dev, tslib-dev (>= 0.0.1-12) [arm armel]
Standards-Version: 3.6.1.1

Package: xserver-xfbdev
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any 
Description: fbdev xserver
 TODO

Package: xserver-xvesa
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386 
Description: vesa xserver
 TODO

Package: xserver-xmach64
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: mach64 xserver
 TODO

Package: xserver-xmga
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: mga xserver
 TODO

Package: xserver-xnvidia
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: nvidia xserver
 TODO

Package: xserver-xr128
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: r128 xserver
 TODO

Package: xserver-xsmi
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: smi xserver
 TODO

Package: xserver-xchips
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: chips xserver
 TODO

Package: xserver-xpm2
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: pm2 xserver
 TODO

Package: xserver-xvia
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: via xserver
 TODO

Package: xserver-xneomagic
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: neomagic xserver
 TODO

Package: xserver-xephyr
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any 
Description: ephyr xserver
 TODO

Package: xserver-xati
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: ati xserver
 TODO

Package: xserver-xfake
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any 
Description: fake xserver
 TODO

Package: xserver-xi810
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: i386
Description: i810 xserver
 TODO

Package: xserver-xomap
Section: x11
Provides: xserver
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: arm armel
Description: xomap xserver
 TODO

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/xlibs.mk

ifeq ($(DEB_HOST_ARCH),i386)
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-rpath --includedir=/usr/X11R6/include --disable-ipv6 --disable-xcms --disable-xlocale --disable-xdmcp --disable-xdm-auth-1 --disable-vesa --disable-xkb --enable-composite --enable-xck
else
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-rpath --includedir=/usr/X11R6/include --disable-ipv6 --disable-xcms --disable-xlocale --disable-xdmcp --disable-xdm-auth-1 --disable-tcp-transport --enable-xsp --disable-xkb  --disable-composite --enable-xomapserver --enable-xck
endif

ifneq ($(EXTRA_CFLAGS),)
DEB_CONFIGURE_SCRIPT_ENV += CFLAGS="$(EXTRA_CFLAGS)"
endif

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/xlibs.mk

ifeq ($(DEB_HOST_ARCH),i386)
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-rpath --includedir=/usr/X11R6/include --disable-ipv6 --disable-xcms --disable-xlocale --disable-xdmcp --disable-xdm-auth-1 --disable-vesa --disable-xkb --enable-composite
else
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-rpath --includedir=/usr/X11R6/include --disable-ipv6 --disable-xcms --disable-xlocale --disable-xdmcp --disable-xdm-auth-1 --disable-tcp-transport --enable-xsp --disable-xkb  --disable-composite --enable-xomapserver
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif
